Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Kodak.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Kodak.pm	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Kodak.pm	(revision 34921)
@@ -1335,29 +1437,1127 @@
             TagTable => 'Image::ExifTool::Kodak::Processing',
         },
-    },
+    },{
+        Name => 'ProcessingParameters', #4
+        Binary => 1,
+        # int8u[256]
+    }],
+    0x03fe => { Name => 'ImageAbsoluteX',       Writable => 'int16s', }, #4
+    0x03ff => { Name => 'ImageAbsoluteY',       Writable => 'int16s' }, #4
+    0x0400 => { Name => 'ApplicationKeyString', Writable => 'string' }, #4
     0x0401 => {
-        Name => 'Time',
+        Name => 'Time', # ("CaptureTime", ref 4)
         Groups => { 2 => 'Time' },
         Writable => 'string',
     },
-    0x0414 => { Name => 'NCDFileInfo',      Writable => 'string' },
-    0x0846 => { #3
+    0x0402 => { #4
+        Name => 'GPSString',
+        Groups => { 2 => 'Location' },
+        Writable => 'string',
+    },
+    0x0403 => { #4
+        Name => 'EventLogCapture',
+        Binary => 1,
+        Unknown => 1,
+        # int32u[3072]
+    },
+    0x0404 => { #4
+        Name => 'ComponentTable',
+        Binary => 1,
+        Unknown => 1,
+    },
+    0x0405 => { #4
+        Name => 'CustomIlluminant',
+        Writable => 'int16u',
+        Unknown => 1,
+    },
+    0x0406 => [{ #IB/4
+        Name => 'CameraTemperature',
+        Condition => '$count == 1',
+        Groups => { 2 => 'Camera' },
+        Writable => 'rational64s',
+        PrintConv => '"$val C"',
+        PrintConvInv => '$val=~s/ ?C//; $val',
+    },{
+        Name => 'CameraTemperature',
+        # (when count is 2, values seem related to temperature, but are not Celius)
+    }],
+    0x0407 => { #IB/4
+        Name => 'AdapterVoltage',
+        Groups => { 2 => 'Camera' },
+        Writable => 'rational64u',
+    },
+    0x0408 => { #IB/4
+        Name => 'BatteryVoltage',
+        Groups => { 2 => 'Camera' },
+        Writable => 'rational64u',
+    },
+    0x0409 => { #4
+        Name => 'DacVoltages',
+        # rational64u[8]
+    },
+    0x040a => { #4
+        Name => 'IlluminantDetectorData',
+        Binary => 1,
+        Unknown => 1,
+    },
+    0x040b => { #4
+        Name => 'PixelClockFrequency',
+        Writable => 'int32u',
+    },
+    0x040c => { #4
+        Name => 'CenterPixel',
+        Writable => 'int16u',
+        Count => 3,
+    },
+    0x040d => { #4
+        Name => 'BurstCount',
+        Writable => 'int16u',
+    },
+    0x040e => { #4
+        Name => 'BlackLevelRough',
+        Writable => 'int16u',
+    },
+    0x040f => { #4
+        Name => 'OffsetMapHorizontal',
+        Binary => 1,
+        Unknown => 1,
+        # int16s[1736]
+    },
+    0x0410 => { #4
+        Name => 'OffsetMapVertical',
+        Binary => 1,
+        Unknown => 1,
+        # int16s[1160]
+    },
+    0x0411 => { #4
+        Name => 'Histogram',
+        Binary => 1,
+        Unknown => 1,
+        # int16u[256]
+    },
+    0x0412 => { #4
+        Name => 'VerticalClockOverlaps',
+        Writable => 'int16u',
+        Count => 2,
+    },
+    0x0413 => 'SensorTemperature', #4
+    0x0414 => { Name => 'XilinxVersion',        Writable => 'string' }, #4
+    0x0415 => { Name => 'FirmwareVersion',      Writable => 'int32u' }, #4
+    0x0416 => { Name => 'BlackLevelRoughAfter', Writable => 'int16u' }, #4
+    0x0417 => 'BrightRowsTop', #4
+    0x0418 => 'EventLogProcess', #4
+    0x0419 => 'DacVoltagesFlush', #4
+    0x041a => 'FlashUsed', #4
+    0x041b => 'FlashType', #4
+    0x041c => 'SelfTimer', #4
+    0x041d => 'AFMode', #4
+    0x041e => 'LensType', #4
+    0x041f => { Name => 'ImageCropX',           Writable => 'int16s' }, #4
+    0x0420 => { Name => 'ImageCropY',           Writable => 'int16s' }, #4
+    0x0421 => 'AdjustedTbnImageWidth', #4
+    0x0422 => 'AdjustedTbnImageHeight', #4
+    0x0423 => { Name => 'IntegrationTime',      Writable => 'int32u' }, #4
+    0x0424 => 'BracketingMode', #4
+    0x0425 => 'BracketingStep', #4
+    0x0426 => 'BracketingCounter', #4
+    0x042e => 'HuffmanTableLength', #4 (int8u[16])
+    0x042f => 'HuffmanTableValue', #4 (int8u[13])
+    0x0438 => { Name => 'MainBoardVersion',     Writable => 'int32u' }, #4
+    0x0439 => { Name => 'ImagerBoardVersion',   Writable => 'int32u' }, #4
+    0x044c => 'FocusEdgeMap', #4
+    0x05e6 => 'IdleTiming', #4
+    0x05e7 => 'FlushTiming', #4
+    0x05e8 => 'IntegrateTiming', #4
+    0x05e9 => 'RegisterReadTiming', #4
+    0x05ea => 'FirstLineTransferTiming', #4
+    0x05eb => 'ShiftTiming', #4
+    0x05ec => 'NormalLineTransferTiming', #4
+    0x05ed => 'TestTransferTiming', #4
+    # 0x05f0-0x05f9 "TestTiming", ref 4
+    0x05fa => 'MinimumFlushRows', #4
+    0x05fd => { Name => 'ImagerPowerOnDelayMsec', Writable => 'int32u' }, #4
+    0x05fe => 'ImagerInitialTimingCode', #4
+    0x05ff => 'ImagerLogicProgram', #4
+    0x0600 => { Name => 'ImagerBiasSettlingDelayMsec', Writable => 'int32u' }, #4
+    0x0604 => 'IdleSequence', #4
+    0x0605 => 'FirstFlushSequence', #4
+    0x0606 => 'FinalFlushSequence', #4
+    0x0607 => 'SampleBlackSequence', #4
+    0x0608 => 'TransferSequence', #4
+    0x060e => 'DacCountsPerVolt', #4
+    0x060f => 'BlackDacChannel', #4
+    0x0610 => 'BlackAdCountsPerDacVolt', #4
+    0x0611 => 'BlackTarget', #4
+    0x0612 => 'BlackDacSettlingMsec', #4
+    # 0x0618-0x062b - reserved for .IF file use, ref 4
+    0x07d0 => { #4
+        Name => 'StandardMatrixDaylight',
+        Writable => 'rational64s',
+        Count => 9,
+    },
+    0x07d1 => { #4
+        Name => 'StandardMatrixTungsten',
+        Writable => 'rational64s',
+        Count => 9,
+    },
+    0x07d2 => { #4
+        Name => 'StandardMatrixFluorescent',
+        Writable => 'rational64s',
+        Count => 9,
+    },
+    0x07d3 => { #4
+        Name => 'StandardMatrixFlash',
+        Writable => 'rational64s',
+        Count => 9,
+    },
+    0x07d4 => { #4 (never used)
+        Name => 'StandardMatrixCustom',
+        Writable => 'rational64s',
+        Count => 9,
+    },
+    0x07da => { #4
+        Name => 'DeviantMatrixDaylight',
+        Writable => 'rational64s',
+        Count => 9,
+    },
+    0x07db => { #4
+        Name => 'DeviantMatrixTungsten',
+        Writable => 'rational64s',
+        Count => 9,
+    },
+    0x07dc => { #4
+        Name => 'DeviantMatrixFluorescent',
+        Writable => 'rational64s',
+        Count => 9,
+    },
+    0x07dd => { #4
+        Name => 'DeviantMatrixFlash',
+        Writable => 'rational64s',
+        Count => 9,
+    },
+    0x07de => { #4 (never used)
+        Name => 'DeviantMatrixCustom',
+        Writable => 'rational64s',
+        Count => 9,
+    },
+    0x07e4 => { #4
+        Name => 'UniqueMatrixDaylight',
+        Writable => 'rational64s',
+        Count => 9,
+    },
+    0x07e5 => { #4
+        Name => 'UniqueMatrixTungsten',
+        Writable => 'rational64s',
+        Count => 9,
+    },
+    0x07e6 => { #4
+        Name => 'UniqueMatrixFluorescent',
+        Writable => 'rational64s',
+        Count => 9,
+    },
+    0x07e7 => { #4
+        Name => 'UniqueMatrixFlash',
+        Writable => 'rational64s',
+        Count => 9,
+    },
+    0x07e8 => { #4
+        Name => 'UniqueMatrixCustom',
+        Writable => 'rational64s',
+        Count => 9,
+    },
+    0x07e9 => { #4
+        Name => 'UniqueMatrixAuto',
+        Writable => 'rational64s',
+        Count => 9,
+    },
+    0x0834 => { #4
+        Name => 'StandardWhiteDaylight',
+        Writable => 'rational64s',
+        Count => 3,
+    },
+    0x0835 => { #4
+        Name => 'StandardWhiteTungsten',
+        Writable => 'rational64s',
+        Count => 3,
+    },
+    0x0836 => { #4
+        Name => 'StandardWhiteFluorescent',
+        Writable => 'rational64s',
+        Count => 3,
+    },
+    0x0837 => { #4
+        Name => 'StandardWhiteFlash',
+        Writable => 'rational64s',
+        Count => 3,
+    },
+    0x0838 => { #4 (never used)
+        Name => 'StandardWhiteCustom',
+        Writable => 'rational64s',
+        Count => 3,
+    },
+    0x083e => { #4
+        Name => 'DeviantWhiteDaylight',
+        Writable => 'rational64s',
+        Count => 3,
+    },
+    0x083f => { #4
+        Name => 'DeviantWhiteTungsten',
+        Writable => 'rational64s',
+        Count => 3,
+    },
+    0x0840 => { #4
+        Name => 'DeviantWhiteFluorescent',
+        Writable => 'rational64s',
+        Count => 3,
+    },
+    0x0841 => { #4
+        Name => 'DeviantWhiteFlash',
+        Writable => 'rational64s',
+        Count => 3,
+    },
+    0x0842 => { #4 (never used)
+        Name => 'DeviantWhiteCustom',
+        Writable => 'rational64s',
+        Count => 3,
+    },
+    # 0x0843 - rational64u[3]
+    # 0x0844 - rational64u[3]
+    0x0846 => { #3 ("WhiteBalanceKelvin", ref 4)
         Name => 'ColorTemperature',
         Writable => 'int16u',
     },
-    0x0852 => 'WB_RGBMul0', #3
-    0x0853 => 'WB_RGBMul1', #3
-    0x0854 => 'WB_RGBMul2', #3
-    0x0855 => 'WB_RGBMul3', #3
-    0x085c => { Name => 'WB_RGBCoeffs0', Binary => 1 }, #3
-    0x085d => { Name => 'WB_RGBCoeffs1', Binary => 1 }, #3
-    0x085e => { Name => 'WB_RGBCoeffs2', Binary => 1 }, #3
-    0x085f => { Name => 'WB_RGBCoeffs3', Binary => 1 }, #3
-    # 0x090d: linear table (ref 3)
-    # 0x0c81: some sort of date (manufacture date?) - PH
-    0x0ce5 => { Name => 'FirmwareVersion',  Writable => 'string' },
-    # 0x1390: value: "DCSProSLRn" (tone curve name?) - PH
-    0x1391 => { Name => 'ToneCurveFileName',Writable => 'string' },
-    0x1784 => { Name => 'ISO',              Writable => 'int32u' }, #3
+    0x0847 => 'WB_RGBLevelsAsShot', #4
+    0x0848 => 'WB_RGBLevelsDaylight', #IB (rational64s/u[3]) ("UniqueWhiteDaylight", ref 4)
+    0x0849 => 'WB_RGBLevelsTungsten', #IB (rational64s/u[3]) ("UniqueWhiteTungsten", ref 4)
+    0x084a => 'WB_RGBLevelsFluorescent', #IB (rational64s/u[3]) ("UniqueWhiteFluorescent", ref 4)
+    0x084b => 'WB_RGBLevelsFlash', #IB (rational64s/u[3]) ("UniqueWhiteFlash", ref 4)
+    0x084c => 'WB_RGBLevelsCustom', #IB (rational64u[3]) ("UniqueWhiteCustom", ref 4)
+    0x084d => 'WB_RGBLevelsAuto', #IB (rational64u[3]) ("UniqueWhiteAuto", ref 4)
+    0x0852 => { #3/4
+        Name => 'WB_RGBMulDaylight', # ("AdjustWhiteFactorsDaylight", ref 4)
+        Writable => 'rational64u',
+        Count => 3,
+    },
+    0x0853 => { #3/4
+        Name => 'WB_RGBMulTungsten', # ("AdjustWhiteFactorsTungsten", ref 4)
+        Writable => 'rational64u',
+        Count => 3,
+    },
+    0x0854 => { #3/4
+        Name => 'WB_RGBMulFluorescent', # ("AdjustWhiteFactorsFluorescent", ref 4)
+        Writable => 'rational64u',
+        Count => 3,
+    },
+    0x0855 => { #3/4
+        Name => 'WB_RGBMulFlash', # ("AdjustWhiteFactorsFlash", ref 4)
+        Writable => 'rational64u',
+        Count => 3,
+    },
+    0x085c => { Name => 'WB_RGBCoeffsDaylight', Binary => 1 }, #3 ("WhiteBalanceParametersDaylight", ref 4)
+    0x085d => { Name => 'WB_RGBCoeffsTungsten', Binary => 1 }, #3 ("WhiteBalanceParametersTungsten", ref 4)
+    0x085e => { Name => 'WB_RGBCoeffsFluorescent',Binary=>1 }, #3 ("WhiteBalanceParametersFluorescent", ref 4)
+    0x085f => { Name => 'WB_RGBCoeffsFlash',    Binary => 1 }, #3 ("WhiteBalanceParametersFlash", ref 4)
+    0x0898 => { Name => 'ExposureGainDaylight', Writable => 'rational64s' }, #4
+    0x0899 => { Name => 'ExposureGainTungsten', Writable => 'rational64s' }, #4
+    0x089a => { Name => 'ExposureGainFluorescent',Writable=>'rational64s' }, #4
+    0x089b => { Name => 'ExposureGainFlash',    Writable => 'rational64s' }, #4
+    0x089c => { Name => 'ExposureGainCustom',   Writable => 'rational64s' }, #4 (never used)
+    0x089d => { Name => 'AnalogISOTable',       Writable => 'rational64u', Count => 3 }, #4
+    0x089e => { Name => 'AnalogCaptureISO',     Writable => 'int32u' }, #4
+    0x089f => { Name => 'ISOCalibrationGain',   Writable => 'rational64u' }, #4
+    0x08a0 => 'ISOCalibrationGainTable', #4
+    0x08a1 => 'ExposureHeadroomFactor', #4
+    0x08ab => 'LinearitySplineTags', #4 (int16u[24])
+    # 0x08ac-0x08fb - LinearitySpline(n) (rational64s[75])
+    0x08fc => { #4
+        Name => 'MonitorMatrix',
+        Writable => 'rational64s',
+        Count => 9,
+    },
+    0x08fd => 'TonScaleTable', #4
+    0x08fe => { Name => 'Gamma',                Writable => 'rational64u' }, #4
+    0x08ff => 'LogLinTable', #4
+    0x0900 => 'LinLogTable', #4
+    0x0901 => { Name => 'GammaTable',           Binary => 1 }, #4 (int16u[4096])
+    0x0902 => { Name => 'LogScale',             Writable => 'rational64u' }, #4
+    0x0903 => { Name => 'BaseISO',              Writable => 'rational64u' }, #IB (ISO before digital gain)
+    0x0904 => { Name => 'LinLogCoring',         Writable => 'int16u' }, #4
+    0x0905 => { Name => 'PatternGainConversionTable', Binary => 1 }, #4 (int8u[256])
+    0x0906 => 'DefectCount', #4
+    0x0907 => { Name => 'DefectList',           Binary => 1 }, #4 (undef[48])
+    0x0908 => { Name => 'DefectListPacked',     Binary => 1 }, #4 (int16u[296])
+    0x0909 => { Name => 'ImageSpace',           Writable => 'int16u' }, #4
+    0x090a => { Name => 'ThumbnailCompressionTable',Binary => 1 }, #4 (int8u[4096])
+    0x090b => { Name => 'ThumbnailExpansionTable',  Binary => 1 }, #4 (int16u[256])
+    0x090c => { Name => 'ImageCompressionTable',    Binary => 1 }, #4 (int16u[4096])
+    0x090d => { Name => 'ImageExpansionTable',      Binary => 1 }, #4 (int16u[1024/4096])
+    0x090e => 'EighteenPercentPoint', #4
+    0x090f => { Name => 'DefectIsoCode',        Writable => 'int16u' }, #4
+    0x0910 => { Name => 'BaseISODaylight',      Writable => 'rational64u' }, #4
+    0x0911 => { Name => 'BaseISOTungsten',      Writable => 'rational64u' }, #4
+    0x0912 => { Name => 'BaseISOFluorescent',   Writable => 'rational64u' }, #4
+    0x0913 => { Name => 'BaseISOFlash',         Writable => 'rational64u' }, #4
+    0x091a => { Name => 'MatrixSelectThreshold',Writable => 'int16s' }, #4
+    0x091b => { Name => 'MatrixSelectK',        Writable => 'rational64u' }, #4
+    0x091c => { Name => 'IlluminantDetectTable',Binary => 1 }, #4 (int16u[200])
+    0x091d => 'RGTable', #4
+    0x091e => { Name => 'MatrixSelectThreshold1', Writable => 'int16s' }, #4
+    0x091f => { Name => 'MatrixSelectThreshold2', Writable => 'int16s' }, #4
+    0x0924 => 'PortraitMatrix', #4
+    0x0925 => 'PortraitToneScaleTable', #4
+    0x092e => { Name => 'EnableSharpening',     Writable => 'int16u' }, #4
+    0x092f => { #4
+        Name => 'SharpeningKernel',
+        Writable => 'int16s',
+        Count => 25,
+    },
+    0x0930 => { Name => 'EdgeMapSlope',         Writable => 'int16u' }, #4
+    0x0931 => { Name => 'EdgeMapX1',            Writable => 'int16u' }, #4
+    0x0932 => { Name => 'EdgeMapX2',            Writable => 'int16u' }, #4
+    0x0933 => { #4
+        Name => 'KernelDenominators',
+        Writable => 'int16u',
+        Count => 3,
+    },
+    0x0934 => { Name => 'EdgeMapX3',            Writable => 'int16u' }, #4
+    0x0935 => { Name => 'EdgeMapX4',            Writable => 'int16u' }, #4
+    0x0936 => 'SharpenForThumbnail', #4
+    0x0937 => 'EdgeSpline', #4
+    0x0938 => 'DownSampleBy2Hor', #4 (int16s[4])
+    0x0939 => 'DownSampleBy2Ver', #4 (int16s[4])
+    0x093a => 'DownSampleBy4Hor', #4 (int16s[6])
+    0x093b => 'DownSampleBy4Ver', #4 (int16s[6])
+    0x093c => 'DownSampleBy3Hor', #4 (int16s[6])
+    0x093d => 'DownSampleBy3Ver', #4 (int16s[6])
+    0x093e => 'DownSampleBy6Hor', #4 (int16s[8])
+    0x093f => 'DownSampleBy6Ver', #4 (int16s[8])
+    0x0940 => 'DownSampleBy2Hor3MPdcr', #4
+    0x0941 => 'DownSampleBy2Ver3MPdcr', #4
+    0x0942 => 'ThumbnailResizeRatio', #4
+    0x0943 => { Name => 'AtCaptureUserCrop',    Writable => 'int32u', Count => 4 }, #4 (Top, Left, Bottom, Right)
+    0x0944 => { Name => 'ImageResolution',      Writable => 'int32u' }, #4 (Contains enum for imageDcrRes or imageJpegRes)
+    0x0945 => { Name => 'ImageResolutionJpg',   Writable => 'int32u' }, #4 (Contains enum for imageJpegRes)
+    0x094c => 'USMParametersLow', #4 (int16s[8])
+    0x094d => 'USMParametersMed', #4 (int16s[8])
+    0x094e => 'USMParametersHigh', #4 (int16s[8])
+    0x094f => 'USMParametersHost', #4 (int16s[10])
+    0x0950 => { Name => 'EdgeSplineLow', Binary => 1 }, #4 (rational64s[57])
+    0x0951 => { Name => 'EdgeSplineMed', Binary => 1 }, #4 (rational64s[69])
+    0x0952 => { Name => 'EdgeSplineHigh',Binary => 1 }, #4 (rational64s[69])
+    0x0953 => 'USMParametersHost6MP', #4 (int16s[10])
+    0x0954 => 'USMParametersHost3MP', #4 (int16s[10])
+    0x0960 => { Name => 'PatternImagerWidth',   Writable => 'int16u' }, #4
+    0x0961 => { Name => 'PatternImagerHeight',  Writable => 'int16u' }, #4
+    0x0962 => { Name => 'PatternAreaWidth',     Writable => 'int16u' }, #4
+    0x0963 => { Name => 'PatternAreaHeight',    Writable => 'int16u' }, #4
+    0x0964 => { Name => 'PatternCorrectionGains', Binary => 1 }, #4 (undef[48174])
+    0x0965 => 'PatternCorrectionOffsets', #4
+    0x0966 => { Name => 'PatternX',             Writable => 'int16u' }, #4
+    0x0967 => { Name => 'PatternY',             Writable => 'int16u' }, #4
+    0x0968 => { Name => 'PatternCorrectionFactors', Binary => 1 }, #4 (undef[48174])
+    0x0969 => { Name => 'PatternCorrectionFactorScale', Writable => 'int16u' }, #4
+    0x096a => { Name => 'PatternCropRows1',     Writable => 'int16u' }, #4
+    0x096b => { Name => 'PatternCropRows2',     Writable => 'int16u' }, #4
+    0x096c => { Name => 'PatternCropCols1',     Writable => 'int16u' }, #4
+    0x096d => { Name => 'PatternCropCols2',     Writable => 'int16u' }, #4
+    0x096e => 'PixelCorrectionGains', #4
+    0x096f => 'StitchRows', #4 (int16u[6])
+    0x0970 => 'StitchColumns', #4 (int16u)
+    0x0971 => { Name => 'PixelCorrectionScale', Writable => 'int16u' }, #4
+    0x0972 => { Name => 'PixelCorrectionOffset',Writable => 'int16u' }, #4
+    0x0988 => 'LensTableIndex', #4
+    0x0992 => 'DiffTileGains602832', #4
+    0x0993 => 'DiffTileGains24t852822', #4 (reserved tags 2450-2459)
+    0x099c => 'TileGainDeterminationTable', #4 (int16s[0])
+    0x099d => 'NemoBlurKernel', #4 (int16s[14])
+    0x099e => 'NemoTileSize', #4 (int16u)
+    0x099f => 'NemoGainFactors', #4 (rational64s[4])
+    0x09a0 => 'NemoDarkLimit', #4 (int16u)
+    0x09a1 => 'NemoHighlight12Limit', #4
+    0x09c4 => { Name => 'ImagerFileProductionLevel',Writable => 'int16u' }, #4
+    0x09c5 => { Name => 'ImagerFileDateCreated',    Writable => 'int32u' }, #4 (unknown encoding - PH)
+    0x09c6 => { Name => 'CalibrationVersion',       Writable => 'string' }, #4
+    0x09c7 => { Name => 'ImagerFileTagsVersionStandard', Writable => 'int16u' }, #4
+    0x09c8 => { Name => 'IFCameraModel',            Writable => 'string' }, #4
+    0x09c9 => { Name => 'CalibrationHistory',       Writable => 'string' }, #4
+    0x09ca => { Name => 'CalibrationLog',           Binary => 1 }, #4 (undef[1140])
+    0x09ce => { Name => 'SensorSerialNumber', Writable => 'string', Groups => { 2 => 'Camera' } }, #IB/4
+    0x09f6 => 'DefectConcealArtCorrectThres', #4 (no longer used)
+    0x09f7 => 'SglColDCACThres1', #4
+    0x09f8 => 'SglColDCACThres2', #4
+    0x09f9 => 'SglColDCACTHres3', #4
+    0x0a01 => 'DblColDCACThres1', #4
+    0x0a02 => 'DblColDCACThres2', #4
+    0x0a0a => { Name => 'DefectConcealThresTable',  Binary => 1 }, #4 (int16u[121/79])
+    0x0a28 => 'MonoUniqueMatrix', #4
+    0x0a29 => 'MonoMonitorMatrix', #4
+    0x0a2a => 'MonoToneScaleTable', #4
+    # 0x0a32-0x0a3b "OmenInitialSurfaceRed(n)", ref 4
+    # 0x0a3c-0x0a45 "OmenInitialSurfaceGoR(n)", ref 4
+    # 0x0a46-0x0a4f "OmenInitialSurfaceBlue(n)", ref 4
+    # 0x0a50-0x0a59 "OmenInitialSurfaceGoB(n)", ref 4
+    0x0a5a => 'OmenInitialScaling', #4
+    0x0a5b => 'OmenInitialRows', #4
+    0x0a5c => 'OmenInitialColumns', #4
+    0x0a5d => { Name => 'OmenInitialIPFStrength',Writable => 'int32s', Count => 4 }, #4
+    0x0a5e => { Name => 'OmenEarlyStrength',     Writable => 'int32s', Count => 4 }, #4
+    0x0a5f => { Name => 'OmenAutoStrength',      Writable => 'int32s', Count => 4 }, #4
+    0x0a60 => { Name => 'OmenAtCaptureStrength', Writable => 'int32s', Count => 4 }, #4
+    0x0a61 => 'OmenAtCaptureMode', #4
+    0x0a62 => { Name => 'OmenFocalLengthLimit',  Writable => 'int16s' }, #4
+    0x0a64 => { Name => 'OmenSurfaceIndex',      Writable => 'int16s' }, #4 (which InitialSurface to use)
+    0x0a65 => 'OmenPercentToRationalLimitsRed', #4 (signed rationals for 0 and 100)
+    0x0a66 => 'OmenPercentToRationalLimitsGoR', #4 (signed rationals for 0 and 100)
+    0x0a67 => 'OmenPercentToRationalLimitsBlue', #4 (signed rationals for 0 and 100)
+    0x0a68 => 'OmenPercentToRationalLimitsGoB', #4 (signed rationals for 0 and 100)
+    0x0a6e => 'OmenEarlyGoBSurface', #4
+    0x0a6f => 'OmenEarlyGoBRows', #4
+    0x0a70 => 'OmenEarlyGoBColumns', #4
+    0x0a73 => 'OmenSmoothingKernel', #4
+    0x0a74 => 'OmenGradientOffset', #4
+    0x0a75 => 'OmenGradientKernel', #4
+    0x0a76 => 'OmenGradientKernelTaps', #4
+    0x0a77 => 'OmenRatioClipFactors', #4
+    0x0a78 => 'OmenRatioExclusionFactors', #4
+    0x0a79 => 'OmenGradientExclusionLimits', #4
+    0x0a7a => 'OmenROICoordinates', #4
+    0x0a7b => 'OmenROICoefficients', #4
+    0x0a7c => 'OmenRangeWeighting', #4
+    0x0a7d => 'OmenMeanToStrength', #4
+    0x0bb8 => 'FactoryWhiteGainsDaylight', #4
+    0x0bb9 => 'FactoryWhiteOffsetsDaylight', #4
+    0x0bba => 'DacGainsCoarse', #4
+    0x0bbb => 'DacGainsFine', #4
+    0x0bbc => 'DigitalExposureGains', #4
+    0x0bbd => 'DigitalExposureBiases', #4
+    0x0bbe => 'BlackClamp', #4
+    0x0bbf => 'ChannelCoarseGainAdjust', #4
+    0x0bc0 => 'BlackClampOffset', #4
+    0x0bf4 => 'DMPixelThresholdFactor', #4 (TIFF_RATIONAL)
+    0x0bf5 => 'DMWindowThresholdFactor', #4 (TIFF_RATIONAL)
+    0x0bf6 => 'DMTrimFraction', #4 (TIFF_RATIONAL)
+    0x0bf7 => 'DMSmoothRejThresh', #4 (TIFF_RATIONAL)
+    0x0bf8 => 'DMFillRejThresh', #4 (TIFF_RATIONAL)
+    0x0bf9 => 'VMWsize', #4 (TIFF_SHORT)
+    0x0bfa => 'DMErodeRadius', #4 (TIFF_SHORT)
+    0x0bfb => 'DMNumPatches', #4 (TIFF_SHORT)
+    0x0bfc => 'DMNoiseScale', #4 (TIFF_RATIONAL)
+    0x0bfe => 'BrightDefectThreshold', #4
+    0x0bff => 'BrightDefectIntegrationMS', #4
+    0x0c00 => 'BrightDefectIsoCode', #4
+    0x0c03 => 'TopDarkRow1', #4 (support 330 dark map generation algorithm)
+    0x0c04 => 'TopDarkRow2', #4 (these tags were 3175-3192 prior to 18Jan2001)
+    0x0c05 => 'BottomDarkRow1', #4
+    0x0c06 => 'BottomDarkRow2', #4
+    0x0c07 => 'LeftDarkCol1', #4
+    0x0c08 => 'LeftDarkCol2', #4
+    0x0c09 => 'RightDarkCol1', #4
+    0x0c0a => 'RightDarkCol2', #4
+    0x0c0b => 'HMPixThresh', #4
+    0x0c0c => 'HMColThresh', #4
+    0x0c0d => 'HMWsize', #4
+    0x0c0e => 'HMColRejThresh', #4
+    0x0c0f => 'VMPixThresh', #4
+    0x0c10 => 'VMColThresh', #4
+    0x0c11 => 'VMNbands', #4
+    0x0c12 => 'VMColDropThresh', #4
+    0x0c13 => 'VMPatchResLimit', #4
+    0x0c14 => 'MapScale', #4
+    0x0c1c => 'Klut', #4
+    0x0c1d => 'RimNonlinearity', #4 (Obsolete)
+    0x0c1e => 'InverseRimNonlinearity', #4 (Obsolete)
+    0x0c1f => 'RembrandtToneScale', #4 (Obsolete)
+    0x0c20 => 'RimToNifColorTransform', #4 (Obsolete)
+    0x0c21 => 'RimToNifScaleFactor', #4 (Obsolete)
+    0x0c22 => 'NifNonlinearity', #4 (Obsolete)
+    0x0c23 => 'SBALogTransform', #4 (Obsolete)
+    0x0c24 => 'InverseSBALogTransform', #4 (Obsolete)
+    0x0c25 => { Name => 'SBABlack',         Writable => 'int16u' }, #4
+    0x0c26 => { Name => 'SBAGray',          Writable => 'int16u' }, #4
+    0x0c27 => { Name => 'SBAWhite',         Writable => 'int16u' }, #4
+    0x0c28 => { Name => 'GaussianWeights',  Binary => 1 }, #4 (int16u[864])
+    0x0c29 => { Name => 'SfsBoundary',      Binary => 1 }, #4 (int16u[6561])
+    0x0c2a => 'CoringTableBest', #4 (Obsolete)
+    0x0c2b => 'CoringTableBetter', #4 (Obsolete)
+    0x0c2c => 'CoringTableGood', #4 (Obsolete)
+    0x0c2d => 'ExposureReferenceGain', #4 (Obsolete)
+    0x0c2e => 'ExposureReferenceOffset', #4 (Obsolete)
+    0x0c2f => 'SBARedBalanceLut', #4 (Obsolete)
+    0x0c30 => 'SBAGreenBalanceLut', #4 (Obsolete)
+    0x0c31 => 'SBABlueBalanceLut', #4 (Obsolete)
+    0x0c32 => { Name => 'SBANeutralBAL',        Writable => 'int32s' }, #4
+    0x0c33 => { Name => 'SBAGreenMagentaBAL',   Writable => 'int32s' }, #4
+    0x0c34 => { Name => 'SBAIlluminantBAL',     Writable => 'int32s' }, #4
+    0x0c35 => { Name => 'SBAAnalysisComplete',  Writable => 'int8u' }, #4
+    0x0c36 => 'JPEGQTableBest', #4
+    0x0c37 => 'JPEGQTableBetter', #4
+    0x0c38 => 'JPEGQTableGood', #4
+    0x0c39 => 'RembrandtPortraitToneScale', #4 (Obsolete)
+    0x0c3a => 'RembrandtConsumerToneScale', #4 (Obsolete)
+    0x0c3b => 'CFAGreenThreshold1', #4 (Now CFAGreenThreshold1H)
+    0x0c3c => 'CFAGreenThreshold2', #4 (Now CFAGreenThreshold2V)
+    0x0c3d => { Name => 'QTableLarge50Pct',     Binary => 1 }, #4 (undef[130])
+    0x0c3e => { Name => 'QTableLarge67Pct',     Binary => 1 }, #4 (undef[130])
+    0x0c3f => { Name => 'QTableLarge100Pct',    Binary => 1 }, #4 (undef[130])
+    0x0c40 => { Name => 'QTableMedium50Pct',    Binary => 1 }, #4 (undef[130])
+    0x0c41 => { Name => 'QTableMedium67Pct',    Binary => 1 }, #4 (undef[130])
+    0x0c42 => { Name => 'QTableMedium100Pct',   Binary => 1 }, #4 (undef[130])
+    0x0c43 => { Name => 'QTableSmall50Pct',     Binary => 1 }, #4 (undef[130])
+    0x0c44 => { Name => 'QTableSmall67Pct',     Binary => 1 }, #4 (undef[130])
+    0x0c45 => { Name => 'QTableSmall100Pct',    Binary => 1 }, #4 (undef[130])
+    0x0c46 => { Name => 'SBAHighGray',          Writable => 'int16u' }, #4
+    0x0c47 => { Name => 'SBALowGray',           Writable => 'int16u' }, #4
+    0x0c48 => { Name => 'CaptureLook',          Writable => 'int16u' }, #4 (was "ToneScaleFlag")
+    0x0c49 => { Name => 'SBAIllOffset',         Writable => 'int16s' }, #4
+    0x0c4a => { Name => 'SBAGmOffset',          Writable => 'int16s' }, #4
+    0x0c4b => 'NifNonlinearity12Bit', #4 (Obsolete)
+    0x0c4c => 'SharpeningOn', #4 (Obsolete)
+    0x0c4d => 'NifNonlinearity16Bit', #4 (Obsolete)
+    0x0c4e => 'RawHistogram', #4
+    0x0c4f => 'RawCFAComponentAverages', #4
+    0x0c50 => 'DisableFlagsPresent', #4
+    0x0c51 => 'DelayCols', #4
+    0x0c52 => 'DummyColsLeft', #4
+    0x0c53 => 'TrashColsRight', #4
+    0x0c54 => 'BlackColsRight', #4
+    0x0c55 => 'DummyColsRight', #4
+    0x0c56 => 'OverClockColsRight', #4
+    0x0c57 => 'UnusedBlackRowsTopOut', #4
+    0x0c58 => 'TrashRowsBottom', #4
+    0x0c59 => 'BlackRowsBottom', #4
+    0x0c5a => 'OverClockRowsBottom', #4
+    0x0c5b => 'BlackColsLeft', #4
+    0x0c5c => 'BlackRowsTop', #4
+    0x0c5d => 'PartialActiveColsLeft', #4
+    0x0c5e => 'PartialActiveColsRight', #4
+    0x0c5f => 'PartialActiveRowsTop', #4
+    0x0c60 => 'PartialActiveRowsBottom', #4
+    0x0c61 => { Name => 'ProcessBorderColsLeft',    Writable => 'int16u' }, #4
+    0x0c62 => { Name => 'ProcessBorderColsRight',   Writable => 'int16u' }, #4
+    0x0c63 => { Name => 'ProcessBorderRowsTop',     Writable => 'int16u' }, #4
+    0x0c64 => { Name => 'ProcessBorderRowsBottom',  Writable => 'int16u' }, #4
+    0x0c65 => 'ActiveCols', #4
+    0x0c66 => 'ActiveRows', #4
+    0x0c67 => 'FirstLines', #4
+    0x0c68 => 'UnusedBlackRowsTopIn', #4
+    0x0c69 => 'UnusedBlackRowsBottomIn', #4
+    0x0c6a => 'UnusedBlackRowsBottomOut', #4
+    0x0c6b => 'UnusedBlackColsLeftOut', #4
+    0x0c6c => 'UnusedBlackColsLeftIn', #4
+    0x0c6d => 'UnusedBlackColsRightIn', #4
+    0x0c6e => 'UnusedBlackColsRightOut', #4
+    0x0c6f => { Name => 'CFAOffsetRows',            Writable => 'int32u' }, #4
+    0x0c70 => { Name => 'ShiftCols',                Writable => 'int16s' }, #4
+    0x0c71 => { Name => 'CFAOffsetCols',            Writable => 'int32u' }, #4
+    0x0c76 => 'DarkMapScale', #4
+    0x0c77 => 'HMapHandling', #4
+    0x0c78 => 'VMapHandling', #4
+    0x0c79 => 'DarkThreshold', #4
+    0x0c7a => { Name => 'DMDitherMatrix',           Writable => 'int16u' }, #4
+    0x0c7b => { Name => 'DMDitherMatrixWidth',      Writable => 'int16u' }, #4
+    0x0c7c => { Name => 'DMDitherMatrixHeight',     Writable => 'int16u' }, #4
+    0x0c7d => { Name => 'MaxPixelValueThreshold',   Writable => 'int16u' }, #4
+    0x0c7e => { Name => 'HoleFillDeltaThreshold',   Writable => 'int16u' }, #4
+    0x0c7f => { Name => 'DarkPedestal',             Writable => 'int16u' }, #4
+    0x0c80 => { Name => 'ImageProcessingFileTagsVersionNumber', Writable => 'int16u' }, #4
+    0x0c81 => { Name => 'ImageProcessingFileDateCreated', Writable => 'string', Groups => { 2 => 'Time' } }, #4
+    0x0c82 => { Name => 'DoublingMicrovolts',       Writable => 'int32s' }, #4
+    0x0c83 => { #4
+        Name => 'DarkFrameShortExposure',
+        Writable => 'int32u',
+        ValueConv => '$val / 1e6', # (microseconds)
+        ValueConvInv => '$val * 1e6',
+        PrintConv => 'Image::ExifTool::Exif::PrintExposureTime($val)',
+        PrintConvInv => '$val',
+    },
+    0x0c84 => { #4
+        Name => 'DarkFrameLongExposure',
+        Writable => 'int32u',
+        ValueConv => '$val / 1e6', # (microseconds)
+        ValueConvInv => '$val * 1e6',
+        PrintConv => 'Image::ExifTool::Exif::PrintExposureTime($val)',
+        PrintConvInv => '$val',
+    },
+    0x0c85 => { Name => 'DarkFrameCountFactor',     Writable => 'rational64u' }, #4
+    0x0c88 => { Name => 'HoleFillDarkDeltaThreshold', Writable => 'int16u' }, #4
+    0x0c89 => 'FarkleWhiteThreshold', #4
+    0x0c8a => { Name => 'ColumnResetOffsets',       Binary => 1 }, #4 (int16u[3012])
+    0x0c8b => { Name => 'ColumnGainFactors',        Binary => 1 }, #4 (int16u[3012])
+    # 0x0c94-0x0c9d ColumnOffsets (int16u[3012]), ref 4
+    0x0c8c => 'Channel0LagKernel', #4
+    0x0c8d => 'Channel1LagKernel', #4
+    0x0c8e => 'Channel2LagKernel', #4
+    0x0c8f => 'Channel3LagKernel', #4
+    0x0c90 => 'BluegrassTable', #4
+    0x0c91 => 'BluegrassScale1', #4
+    0x0c92 => 'BluegrassScale2', #4
+    0x0ce4 => 'FinishedFileProcessingRequest', #4
+    0x0ce5 => { Name => 'FirmwareVersion',  Writable => 'string', Groups => { 2 => 'Camera' } }, # ("ProcessingSoftware", ref 4)
+    0x0ce6 => 'HostSoftwareExportVersion', #4 (ULONG only exists if made by host SW)
+    0x0ce7 => { #4
+        Name => 'HostSoftwareRendering',
+        Writable => 'int32u',
+        PrintConv => {
+            0 => 'Normal (sRGB)',
+            1 => 'Linear (camera RGB)',
+            2 => 'Pro Photo RGB',
+            3 => 'Unknown',
+            4 => 'Other Profile',
+        },
+    },
+    0x0dac => 'DCS3XXProcessingInfoIFD', #4 (Obsolete)
+    0x0dad => 'DCS3XXProcessingInfo', #4 (Obsolete)
+    0x0dae => { Name => 'IPAVersion',       Writable => 'int32u' }, #4
+    0x0db6 => 'FinishIPAVersion', #4
+    0x0db7 => 'FinishIPFVersion', #4
+    0x0db8 => { #4
+        Name => 'FinishFileType',
+        Writable => 'int32u',
+        PrintConv => {
+            0 => 'JPEG Best',
+            1 => 'JPEG Better',
+            2 => 'JPEG Good',
+            3 => 'TIFF RGB',
+        },
+    },
+    0x0db9 => { #4
+        Name => 'FinishResolution',
+        Writable => 'int32u',
+        PrintConv => {
+            0 => '100%',
+            1 => '67%',
+            2 => '50%',
+            3 => '25%',
+        },
+    },
+    0x0dba => { #4
+        Name => 'FinishNoise',
+        Writable => 'int32u',
+        PrintConv => {
+            0 => 'Normal',
+            1 => 'Strong',
+            2 => 'Low',
+        },
+    },
+    0x0dbb => { #4
+        Name => 'FinishSharpening',
+        Writable => 'int32u',
+        PrintConv => {
+            0 => 'None',
+            1 => 'High',
+            2 => 'Medium',
+            3 => 'Low',
+        },
+    },
+    0x0dbc => { #4
+        Name => 'FinishLook',
+        Writable => 'int32u',
+        PrintConv => {
+            0 => 'Product',
+            1 => 'Portrait',
+            2 => 'Product Reduced',
+            3 => 'Portrait Reduced',
+            4 => 'Monochrome Product',
+            5 => 'Monochrome Portrait',
+            6 => 'Wedding',
+            7 => 'Event',
+            8 => 'Product Hi Color',
+            9 => 'Portrait Hi Color',
+            # (past this is not yet implemented)
+            10 => 'Product Hi Color Hold',
+            11 => 'Portrait Hi Color Hold',
+            13 => 'DCS BW Normal',
+            14 => 'DCS BW Wratten 8',
+            15 => 'DCS BW Wratten 25',
+            16 => 'DCS Sepia 1',
+            17 => 'DCS Sepia 2',
+        },
+    },
+    0x0dbd => { #4
+        Name => 'FinishExposure',
+        Writable => 'int32u',
+        PrintConv => { 0 => 'Yes', 1 => 'No' },
+    },
+    0x0e0b => { Name => 'SigmaScalingFactorLowRes', Writable => 'rational64u' }, #4 (for scaling sigma tables in-camera)
+    0x0e0c => { Name => 'SigmaScalingFactorCamera', Writable => 'rational64u' }, #4 (for scaling sigma tables in-camera)
+    0x0e0d => { Name => 'SigmaImpulseParameters',   Writable => 'int16u', Count => -1 }, #4 (for impulse reduction control)
+    0x0e0e => { Name => 'SigmaNoiseThreshTableV2',  Binary => 1 }, #4 (replaces V2 caltable)
+    0x0e0f => { Name => 'SigmaSizeTable',           Writable => 'int16u', Count => -1 }, #4
+    0x0e10 => 'DacGainsCoarseAdjPreIF41', #4 (Tag not used due to abandoned implementation)
+    0x0e11 => { Name => 'SigmaNoiseFilterCalTableV1', Binary => 1 }, #4 (undef[418]) (Defines Version 1 of Sigma Noise Filter table within .IF/.IPF)
+    0x0e12 => { Name => 'SigmaNoiseFilterTableV1',  Binary => 1}, #4 (Defines Version 1 of Sigma Noise Filter table within image)
+    0x0e13 => 'Lin12ToKlut8', #4
+    0x0e14 => 'SigmaNoiseFilterTableV1Version', #4 (int16u/int32u) (This tag describes the version level of the SigmaNoiseFilterTableV1 class of tags)
+    0x0e15 => 'Lin12ToKlut12', #4
+    0x0e16 => 'Klut12ToLin12', #4
+    0x0e17 => { Name => 'NifNonlinearity12To16',    Binary => 1 }, #4 (int16u[4096])
+    0x0e18 => { Name => 'SBALog12Transform',        Binary => 1 }, #4 (int16u[4096])
+    0x0e19 => { Name => 'InverseSBALog12Transform', Binary=> 1 }, #4 (int16u[3613])
+    0x0e1a => { Name => 'ToneScale0',   Binary => 1 }, #4 (int16u[4096]) (Was Portrait12ToneScale on DCS3XX 1.3.1)
+    0x0e1b => { Name => 'ToneScale1',   Binary => 1 }, #4 (int16u[4096]) (Was Consumer12ToneScale on DCS3XX 1.3.1)
+    0x0e1c => { Name => 'ToneScale2',   Binary => 1 }, #4 (int16u[4096])
+    0x0e1d => { Name => 'ToneScale3',   Binary => 1 }, #4 (int16u[4096])
+    0x0e1e => { Name => 'ToneScale4',   Binary => 1 }, #4 (int16u[4096])
+    0x0e1f => { Name => 'ToneScale5',   Binary => 1 }, #4 (int16u[4096])
+    0x0e20 => { Name => 'ToneScale6',   Binary => 1 }, #4 (int16u[4096])
+    0x0e21 => { Name => 'ToneScale7',   Binary => 1 }, #4 (int16u[4096])
+    0x0e22 => { Name => 'ToneScale8',   Binary => 1 }, #4 (int16u[4096])
+    0x0e23 => { Name => 'ToneScale9',   Binary => 1 }, #4 (int16u[4096])
+    0x0e24 => 'DayMat0', #4 (Obsolete)
+    0x0e25 => 'DayMat1', #4 (Obsolete)
+    0x0e26 => 'DayMat2', #4 (Obsolete)
+    0x0e27 => 'DayMat3', #4 (Obsolete)
+    0x0e28 => 'DayMat4', #4 (Obsolete)
+    0x0e29 => 'DayMat5', #4 (Obsolete)
+    0x0e2a => 'DayMat6', #4 (Obsolete)
+    0x0e2b => 'DayMat7', #4 (Obsolete)
+    0x0e2c => 'DayMat8', #4 (Obsolete)
+    0x0e2d => 'DayMat9', #4 (Obsolete)
+    0x0e2e => 'TungMat0', #4 (Obsolete)
+    0x0e2f => 'TungMat1', #4 (Obsolete)
+    0x0e30 => 'TungMat2', #4 (Obsolete)
+    0x0e31 => 'TungMat3', #4 (Obsolete)
+    0x0e32 => 'TungMat4', #4 (Obsolete)
+    0x0e33 => 'TungMat5', #4 (Obsolete)
+    0x0e34 => 'TungMat6', #4 (Obsolete)
+    0x0e35 => 'TungMat7', #4 (Obsolete)
+    0x0e36 => 'TungMat8', #4 (Obsolete)
+    0x0e37 => 'TungMat9', #4 (Obsolete)
+    0x0e38 => 'FluorMat0', #4 (Obsolete)
+    0x0e39 => 'FluorMat1', #4 (Obsolete)
+    0x0e3a => 'FluorMat2', #4 (Obsolete)
+    0x0e3b => 'FluorMat3', #4 (Obsolete)
+    0x0e3c => 'FluorMat4', #4 (Obsolete)
+    0x0e3d => 'FluorMat5', #4 (Obsolete)
+    0x0e3e => 'FluorMat6', #4 (Obsolete)
+    0x0e3f => 'FluorMat7', #4 (Obsolete)
+    0x0e40 => 'FluorMat8', #4 (Obsolete)
+    0x0e41 => 'FluorMat9', #4 (Obsolete)
+    0x0e42 => 'FlashMat0', #4 (Obsolete)
+    0x0e43 => 'FlashMat1', #4 (Obsolete)
+    0x0e44 => 'FlashMat2', #4 (Obsolete)
+    0x0e45 => 'FlashMat3', #4 (Obsolete)
+    0x0e46 => 'FlashMat4', #4 (Obsolete)
+    0x0e47 => 'FlashMat5', #4 (Obsolete)
+    0x0e48 => 'FlashMat6', #4 (Obsolete)
+    0x0e49 => 'FlashMat7', #4 (Obsolete)
+    0x0e4a => 'FlashMat8', #4 (Obsolete)
+    0x0e4b => 'FlashMat9', #4 (Obsolete)
+    0x0e4c => { #IB
+        Name => 'KodakLook', # ("LookNameTable", ref 4)
+        Format => 'undef',
+        Writable => 'string',
+        ValueConv => '$val=~tr/\0/\n/; $val',
+        ValueConvInv => '$val=~tr/\n/\0/; $val',
+    },
+    0x0e4d => { Name => 'IPFCameraModel',   Writable => 'string' }, #4
+    0x0e4e => { Name => 'AH2GreenInterpolationThreshold',   Writable => 'int16u' }, #4
+    0x0e4f => { Name => 'ResamplingKernelDenominators067',  Writable => 'int16u', Count => 3 }, #4 (table of sharpening denoms; 0=Low, 1=Medium, 2=High)
+    0x0e50 => { Name => 'ResamplingKernelDenominators050',  Writable => 'int16u', Count => 3 }, #4 (table of sharpening denoms; 0=Low, 1=Medium, 2=High)
+    0x0e51 => { Name => 'ResamplingKernelDenominators100',  Writable => 'int16u', Count => 3 }, #4 (table of sharpening denoms; 0=Low, 1=Medium, 2=High)
+    0x0e56 => 'LookMat0', #4 (rational64s[9])
+    0x0e57 => 'LookMat1', #4 (rational64s[9])
+    0x0e58 => 'LookMat2', #4 (rational64s[9])
+    0x0e59 => 'LookMat3', #4 (rational64s[9])
+    0x0e5a => 'LookMat4', #4 (rational64s[9])
+    0x0e5b => 'LookMat5', #4 (rational64s[9])
+    0x0e5c => 'LookMat6', #4 (rational64s[9])
+    0x0e5d => 'LookMat7', #4 (rational64s[9])
+    0x0e5e => 'LookMat8', #4 (rational64s[9])
+    0x0e5f => 'LookMat9', #4 (rational64s[9])
+    0x0e60 => { #4
+        Name => 'CFAInterpolationAlgorithm',
+        Writable => 'int16u',
+        PrintConv => { 0 => 'AH2', 1 => 'Karnak' },
+    },
+    0x0e61 => { #4
+        Name => 'CFAInterpolationMetric',
+        Writable => 'int16u',
+        PrintConv => { 0 => 'Linear12', 1 => 'KLUT12' },
+    },
+    0x0e62 => { Name => 'CFAZipperFixThreshold',            Writable => 'int16u' }, #4
+    0x0e63 => { Name => 'NoiseReductionParametersKhufuRGB', Writable => 'int16u', Count => 9 }, #4
+    0x0e64 => { Name => 'NoiseReductionParametersKhufu6MP', Writable => 'int16u', Count => 9 }, #4
+    0x0e65 => { Name => 'NoiseReductionParametersKhufu3MP', Writable => 'int16u', Count => 9 }, #4
+    0x0e6a => { Name => 'ChromaNoiseHighFThresh',           Writable => 'int32u', Count => 2 }, #4
+    0x0e6b => { Name => 'ChromaNoiseLowFThresh',            Writable => 'int32u', Count => 2 }, #4
+    0x0e6c => { Name => 'ChromaNoiseEdgeMapThresh',         Writable => 'int32u' }, #4
+    0x0e6d => { Name => 'ChromaNoiseColorSpace',            Writable => 'int32u' }, #4
+    0x0e6e => { Name => 'EnableChromaNoiseReduction',       Writable => 'int16u' }, #4
+    # 9 values for noise reduction parameters:
+    #  0 - NRLowType
+    #  1 - NRLowRadius
+    #  2 - NRLowStrength
+    #  3 - NRMediumType
+    #  4 - NRMediumRadius
+    #  5 - NRMediumStrength
+    #  6 - NRHighType
+    #  7 - NRHighRadius
+    #  8 - NRHighStrength
+    # NRType values:
+    #  0 = None
+    #  1 = SigmaChroma
+    #  2 = SigmaOnly
+    #  3 = SigmaMoire
+    #  4 = SigmaChromaWithRadius
+    #  5 = SigmaMoireWithRadius
+    #  6 = SigmaExpert (aka Khufu)
+    #  7 = SigmaWithRadius
+    0x0e6f => { Name => 'NoiseReductionParametersHostRGB',  Writable => 'int16u', Count => 9 }, #4
+    0x0e70 => { Name => 'NoiseReductionParametersHost6MP',  Writable => 'int16u', Count => 9 }, #4
+    0x0e71 => { Name => 'NoiseReductionParametersHost3MP',  Writable => 'int16u', Count => 9 }, #4
+    0x0e72 => { Name => 'NoiseReductionParametersCamera',   Writable => 'int16u', Count => 6 }, #4
+    0x0e73 => { #4
+        Name => 'NoiseReductionParametersAtCapture',
+        Writable => 'int16u',
+        Count => 6,
+        # 6 values:
+        #  0 - Algorithm type
+        #  1 - Radius
+        #  2 - Strength
+        #  3 - Khufu Luma
+        #  4 - Reserved 1
+        #  5 - Reserved 2
+    },
+    0x0e74 => { Name => 'LCDMatrix',            Writable => 'rational64s', Count => 9 }, #4
+    0x0e75 => { Name => 'LCDMatrixChickFix',    Writable => 'rational64s', Count => 9 }, #4
+    0x0e76 => { Name => 'LCDMatrixMarvin',      Writable => 'rational64s', Count => 9 }, #4
+    0x0e7c => { Name => 'LCDGammaTableChickFix',Binary => 1 }, #4 (int16u[4096])
+    0x0e7d => { Name => 'LCDGammaTableMarvin',  Binary => 1 }, #4 (int16u[4096])
+    0x0e7e => { Name => 'LCDGammaTable',        Binary => 1 }, #4 (int16u[4096])
+    0x0e7f => 'LCDSharpeningF1', #4 (int16s[4])
+    0x0e80 => 'LCDSharpeningF2', #4
+    0x0e81 => 'LCDSharpeningF3', #4
+    0x0e82 => 'LCDSharpeningF4', #4
+    0x0e83 => 'LCDEdgeMapX1', #4
+    0x0e84 => 'LCDEdgeMapX2', #4
+    0x0e85 => 'LCDEdgeMapX3', #4
+    0x0e86 => 'LCDEdgeMapX4', #4
+    0x0e87 => 'LCDEdgeMapSlope', #4
+    0x0e88 => 'YCrCbMatrix', #4
+    0x0e89 => 'LCDEdgeSpline', #4 (rational64s[9])
+    0x0e92 => { Name => 'Fac18Per',     Writable => 'int16u' }, #4
+    0x0e93 => { Name => 'Fac170Per',    Writable => 'int16u' }, #4
+    0x0e94 => { Name => 'Fac100Per',    Writable => 'int16u' }, #4
+    0x0e9b => 'ExtraTickLocations', #4 (int16u[7])
+    0x0e9c => { Name => 'RGBtoeV0',     Binary => 1 }, #4 (int16s[256])
+    0x0e9d => { Name => 'RGBtoeV1',     Binary => 1 }, #4 (int16s[256])
+    0x0e9e => { Name => 'RGBtoeV2',     Binary => 1 }, #4 (int16s[256])
+    0x0e9f => { Name => 'RGBtoeV3',     Binary => 1 }, #4 (int16s[256])
+    0x0ea0 => { Name => 'RGBtoeV4',     Binary => 1 }, #4 (int16s[256])
+    0x0ea1 => { Name => 'RGBtoeV5',     Binary => 1 }, #4 (int16s[256])
+    0x0ea2 => { Name => 'RGBtoeV6',     Binary => 1 }, #4 (int16s[256])
+    0x0ea3 => { Name => 'RGBtoeV7',     Binary => 1 }, #4 (int16s[256])
+    0x0ea4 => { Name => 'RGBtoeV8',     Binary => 1 }, #4 (int16s[256])
+    0x0ea5 => { Name => 'RGBtoeV9',     Binary => 1 }, #4 (int16s[256])
+    0x0ea6 => { Name => 'LCDHistLUT0',  Binary => 1 }, #4 (rational64s[48])
+    0x0ea7 => { Name => 'LCDHistLUT1',  Binary => 1 }, #4 (rational64s[57])
+    0x0ea8 => { Name => 'LCDHistLUT2',  Binary => 1 }, #4 (rational64s[48])
+    0x0ea9 => { Name => 'LCDHistLUT3',  Binary => 1 }, #4 (rational64s[57])
+    0x0eaa => { Name => 'LCDHistLUT4',  Binary => 1 }, #4 (rational64s[48])
+    0x0eab => { Name => 'LCDHistLUT5',  Binary => 1 }, #4 (rational64s[57])
+    0x0eac => { Name => 'LCDHistLUT6',  Binary => 1 }, #4 (rational64s[48])
+    0x0ead => { Name => 'LCDHistLUT7',  Binary => 1 }, #4 (rational64s[48])
+    0x0eae => { Name => 'LCDHistLUT8',  Binary => 1 }, #4
+    0x0eaf => { Name => 'LCDHistLUT9',  Binary => 1 }, #4
+    0x0eb0 => 'LCDLinearClipValue', #4
+    0x0ece => 'LCDStepYvalues', #4 (int8u[10])
+    0x0ecf => 'LCDStepYvaluesChickFix', #4 (int8u[10])
+    0x0ed0 => 'LCDStepYvaluesMarvin', #4 (int8u[10])
+    0x0ed8 => { Name => 'InterpolationCoefficients', Binary => 1 }, #4 (int16s[69])
+    0x0ed9 => 'InterpolationCoefficients6MP', #4
+    0x0eda => 'InterpolationCoefficients3MP', #4
+    0x0f00 => { Name => 'NoiseReductionParametersHostNormal',  Binary => 1 }, #4 (int16u[140])
+    0x0f01 => { Name => 'NoiseReductionParametersHostStrong',  Binary => 1 }, #4 (int16u[140])
+    0x0f02 => { Name => 'NoiseReductionParametersHostLow',  Binary => 1 }, #4
+    0x0f0a => { Name => 'MariahTextureThreshold',   Writable => 'int16u' }, #4
+    0x0f0b => { Name => 'MariahMapLoThreshold',     Writable => 'int16u' }, #4
+    0x0f0c => { Name => 'MariahMapHiThreshold',     Writable => 'int16u' }, #4
+    0x0f0d => { Name => 'MariahChromaBlurSize',     Writable => 'int16u' }, #4
+    0x0f0e => { Name => 'MariahSigmaThreshold',     Writable => 'int16u' }, #4
+    0x0f0f => { Name => 'MariahThresholds',         Binary => 1 }, #4
+    0x0f10 => { Name => 'MariahThresholdsNormal',   Binary => 1 }, #4 (int16u[140])
+    0x0f11 => { Name => 'MariahThresholdsStrong',   Binary => 1 }, #4 (int16u[140])
+    0x0f12 => { Name => 'MariahThresholdsLow',      Binary => 1 }, #4
+    0x0f14 => 'KhufuLinearRedMixingCoefficient', #4
+    0x0f15 => 'KhufuLinearGreenMixingCoefficient', #4
+    0x0f16 => 'KhufuLinearBlueMixingCoefficient', #4
+    0x0f17 => 'KhufuUSpaceC2MixingCoefficient', #4
+    0x0f18 => 'KhufuSigmaGaussianWeights', #4
+    0x0f19 => 'KhufuSigmaScalingFactors6MP', #4 (rational64u[6])
+    0x0f1a => 'KhufuSigmaScalingFactors3MP', #4 (rational64u[6])
+    0x0f1b => 'KhufuSigmaScalingFactors14MP', #4
+    # 0x0f1e-0x0f27 - KhufuLinearRGBtoLogRGB(n), (for Khufu) ref 4
+    # 0x0f28-0x0f31 - KhufuLogRGBtoLinearRGB(n), (for Khufu) ref 4
+    0x0f32 => { Name => 'KhufuI0Thresholds',    Binary => 1 }, #4 (int32s[348])
+    0x0f33 => { Name => 'KhufuI1Thresholds',    Binary => 1 }, #4 (int32s[348])
+    0x0f34 => { Name => 'KhufuI2Thresholds',    Binary => 1 }, #4 (int32s[348])
+    0x0f35 => { Name => 'KhufuI3Thresholds',    Binary => 1 }, #4 (int32s[348])
+    0x0f36 => { Name => 'KhufuI4Thresholds',    Binary => 1 }, #4 (int32s[348])
+    0x0f37 => { Name => 'KhufuI5Thresholds',    Binary => 1 }, #4 (int32s[348])
+    0x0f3c => { Name => 'CondadoDayBVThresh',   Writable => 'int16u' }, #4
+    0x0f3d => { Name => 'CondadoNeuRange',      Writable => 'int16u' }, #4
+    0x0f3e => { Name => 'CondadoBVFactor',      Writable => 'int16s' }, #4
+    0x0f3f => { Name => 'CondadoIllFactor',     Writable => 'int16s' }, #4
+    0x0f40 => { Name => 'CondadoTunThresh',     Writable => 'int16s' }, #4
+    0x0f41 => { Name => 'CondadoFluThresh',     Writable => 'int16s' }, #4
+    0x0f42 => { Name => 'CondadoDayOffsets',    Writable => 'int16s', Count => 2 }, #4
+    0x0f43 => { Name => 'CondadoTunOffsets',    Writable => 'int16s', Count => 2 }, #4
+    0x0f44 => { Name => 'CondadoFluOffsets',    Writable => 'int16s', Count => 2 }, #4
+    0x0f5a => 'ERIMMToCRGB0Spline', #4 (rational64s[33])
+    0x0f5b => 'ERIMMToCRGB1Spline', #4 (rational64s[36])
+    0x0f5c => 'ERIMMToCRGB2Spline', #4 (rational64s[33])
+    0x0f5d => 'ERIMMToCRGB3Spline', #4 (rational64s[33])
+    0x0f5e => 'ERIMMToCRGB4Spline', #4 (rational64s[33])
+    0x0f5f => 'ERIMMToCRGB5Spline', #4 (rational64s[33])
+    0x0f60 => 'ERIMMToCRGB6Spline', #4 (rational64s[33])
+    0x0f61 => 'ERIMMToCRGB7Spline', #4 (rational64s[33])
+    0x0f62 => 'ERIMMToCRGB8Spline', #4
+    0x0f63 => 'ERIMMToCRGB9Spline', #4
+    0x0f64 => 'CRGBToERIMM0Spline', #4 (rational64s[27])
+    0x0f65 => 'CRGBToERIMM1Spline', #4 (rational64s[54])
+    0x0f66 => 'CRGBToERIMM2Spline', #4 (rational64s[27])
+    0x0f67 => 'CRGBToERIMM3Spline', #4 (rational64s[54])
+    0x0f68 => 'CRGBToERIMM4Spline', #4 (rational64s[27])
+    0x0f69 => 'CRGBToERIMM5Spline', #4 (rational64s[54])
+    0x0f6a => 'CRGBToERIMM6Spline', #4 (rational64s[27])
+    0x0f6b => 'CRGBToERIMM7Spline', #4 (rational64s[27])
+    0x0f6c => 'CRGBToERIMM8Spline', #4
+    0x0f6d => 'CRGBToERIMM9Spline', #4
+    0x0f6e => 'ERIMMNonLinearitySpline', #4 (rational64s[42])
+    0x0f6f => 'Delta12To8Spline', #4 (rational64s[12])
+    0x0f70 => 'Delta8To12Spline', #4 (rational64s[12])
+    0x0f71 => 'InverseMonitorMatrix', #4 (rational64s[9])
+    0x0f72 => { Name => 'NifNonlinearityExt', Binary => 1 }, #4 (int16s[8000])
+    0x0f73 => { Name => 'InvNifNonLinearity', Binary => 1 }, #4 (int16u[256])
+    0x0f74 => 'RIMM13ToERIMM12Spline', #4 (rational64s[51])
+    0x0f78 => 'ToneScale0Spline', #4 (rational64s[57])
+    0x0f79 => 'ToneScale1Spline', #4 (rational64s[51])
+    0x0f7a => 'ToneScale2Spline', #4 (rational64s[57])
+    0x0f7b => 'ToneScale3Spline', #4 (rational64s[51])
+    0x0f7c => 'ToneScale4Spline', #4 (rational64s[57])
+    0x0f7d => 'ToneScale5Spline', #4 (rational64s[51])
+    0x0f7e => 'ToneScale6Spline', #4 (rational64s[57])
+    0x0f7f => 'ToneScale7Spline', #4 (rational64s[57])
+    0x0f80 => 'ToneScale8Spline', #4
+    0x0f81 => 'ToneScale9Spline', #4
+    0x0f82 => 'ERIMMToneScale0Spline', #4 (rational64s[60])
+    0x0f83 => 'ERIMMToneScale1Spline', #4 (rational64s[54])
+    0x0f84 => 'ERIMMToneScale2Spline', #4 (rational64s[60])
+    0x0f85 => 'ERIMMToneScale3Spline', #4 (rational64s[54])
+    0x0f86 => 'ERIMMToneScale4Spline', #4 (rational64s[60])
+    0x0f87 => 'ERIMMToneScale5Spline', #4 (rational64s[54])
+    0x0f88 => 'ERIMMToneScale6Spline', #4 (rational64s[60])
+    0x0f89 => 'ERIMMToneScale7Spline', #4 (rational64s[60])
+    0x0f8a => 'ERIMMToneScale8Spline', #4
+    0x0f8b => 'ERIMMToneScale9Spline', #4
+    0x0f8c => 'RIMMToCRGB0Spline', #4 (rational64s[66])
+    0x0f8d => 'RIMMToCRGB1Spline', #4 (rational64s[84])
+    0x0f8e => 'RIMMToCRGB2Spline', #4 (rational64s[66])
+    0x0f8f => 'RIMMToCRGB3Spline', #4 (rational64s[84])
+    0x0f90 => 'RIMMToCRGB4Spline', #4 (rational64s[66])
+    0x0f91 => 'RIMMToCRGB5Spline', #4 (rational64s[84])
+    0x0f92 => 'RIMMToCRGB6Spline', #4 (rational64s[66])
+    0x0f93 => 'RIMMToCRGB7Spline', #4 (rational64s[66])
+    0x0f94 => 'RIMMToCRGB8Spline', #4
+    0x0f95 => 'RIMMToCRGB9Spline', #4
+    0x0fa0 => 'QTableLarge25Pct', #4
+    0x0fa1 => 'QTableMedium25Pct', #4
+    0x0fa2 => 'QTableSmall25Pct', #4
+    0x1130 => 'NoiseReductionKernel', #4 (Noise filter kernel.  No longer needed)
+    0x1388 => 'UserMetaData', #4 (undef[0])
+    0x1389 => { Name => 'InputProfile',     Writable => 'undef', Binary => 1 }, #IB ("SourceProfile", ref 4)
+    0x138a => { Name => 'KodakLookProfile', Writable => 'undef', Binary => 1 }, #IB ("LookProfile", ref 4)
+    0x138b => { Name => 'OutputProfile',    Writable => 'undef', Binary => 1 }, #IB ("DestinationProfile", ref 4)
+    0x1390 => { Name => 'SourceProfilePrefix',  Writable => 'string' }, #4 (eg. 'DCSProSLRn')
+    0x1391 => { Name => 'ToneCurveProfileName', Writable => 'string' }, #4
+    0x1392 => { Name => 'InputProfile', SubDirectory => { TagTable => 'Image::ExifTool::ICC_Profile::Main' } }, #4
+    0x1393 => { Name => 'ProcessParametersV2',  Binary => 1 }, #4 (Used by the SDK, Firmware should not use!)
+    0x1394 => 'ReservedBlob2', #4
+    0x1395 => 'ReservedBlob3', #4
+    0x1396 => 'ReservedBlob4', #4
+    0x1397 => 'ReservedBlob5', #4
+    0x1398 => 'ReservedBlob6', #4
+    0x1399 => 'ReservedBlob7', #4
+    0x139a => 'ReservedBlob8', #4
+    0x139b => 'ReservedBlob9', #4
+    0x1770 => { Name => 'ScriptVersion',    Writable => 'int32u' }, #4
+    0x177a => 'ImagerTimingData', #4
+    0x1784 => { Name => 'ISO',              Writable => 'int32u' }, #3 ("NsecPerIcCode", ref 4)
+    0x17a2 => 'Scav11Cols', #4
+    0x17a3 => 'Scav12Cols', #4
+    0x17a4 => 'Scav21Cols', #4
+    0x17a5 => 'Scav22Cols', #4
+    0x17a6 => 'ActiveCTEMonitor1Cols', #4
+    0x17a7 => 'ActiveCTEMonitor2Cols', #4
+    0x17a8 => 'ActiveCTEMonitorRows', #4
+    0x17a9 => 'ActiveBuf1Cols', #4
+    0x17aa => 'ActiveBuf2Cols', #4
+    0x17ab => 'ActiveBuf1Rows', #4
+    0x17ac => 'ActiveBuf2Rows', #4
+    0x17c0 => 'HRNoiseLines', #4
+    0x17c1 => 'RNoiseLines', #4
+    0x17c2 => 'ANoiseLines', #4
+    0x17d4 => { Name => 'ImagerCols',   Writable => 'int16u' }, #4
+    0x17de => { Name => 'ImagerRows',   Writable => 'int16u' }, #4
+    0x17e8 => { Name => 'PartialActiveCols1',   Writable => 'int32u' }, #4
+    0x17f2 => { Name => 'PartialActiveCols2',   Writable => 'int32u' }, #4
+    0x17fc => { Name => 'PartialActiveRows1',   Writable => 'int32u' }, #4
+    0x1806 => { Name => 'PartialActiveRows2',   Writable => 'int32u' }, #4
+    0x1810 => { Name => 'ElectricalBlackColumns',Writable=> 'int32u' }, #4
+    0x181a => { Name => 'ResetBlackSegRows',    Writable => 'int32u' }, #4
+    0x1838 => { Name => 'CaptureWidthNormal',   Writable => 'int32u' }, #4
+    0x1839 => { Name => 'CaptureHeightNormal',  Writable => 'int32u' }, #4
+    0x183a => 'CaptureWidthResetBlackSegNormal', #4
+    0x183b => 'CaptureHeightResetBlackSegNormal', #4
+    0x183c => 'DarkRefOffsetNormal', #4
+    0x1842 => { Name => 'CaptureWidthTest',     Writable => 'int32u' }, #4
+    0x1843 => 'CaptureHeightTest', #4
+    0x1844 => 'CaptureWidthResetBlackSegTest', #4
+    0x1845 => 'CaptureHeightResetBlackSegTest', #4
+    0x1846 => 'DarkRefOffsetTest', #4
+    0x184c => { Name => 'ImageSegmentStartLine',Writable => 'int32u' }, #4
+    0x184d => { Name => 'ImageSegmentLines',    Writable => 'int32u' }, #4
+    0x184e => { Name => 'SkipLineTime',         Writable => 'int32u' }, #4
+    0x1860 => { Name => 'FastResetLineTime',    Writable => 'int32u' }, #4
+    0x186a => { Name => 'NormalLineTime',       Writable => 'int32u' }, #4
+    0x1874 => { Name => 'MinIntegrationRows',   Writable => 'int32u' }, #4
+    0x187e => { Name => 'PreReadFastResetCount',Writable => 'int32u' }, #4
+    0x1888 => { Name => 'TransferTimeNormal',   Writable => 'int32u' }, #4
+    0x1889 => { Name => 'TransferTimeTest',     Writable => 'int32u' }, #4
+    0x188a => { Name => 'QuietTime',            Writable => 'int32u' }, #4
+    0x189c => { Name => 'OverClockCols',        Writable => 'int16u' }, #4
+    0x18a6 => { Name => 'H2ResetBlackPixels',   Writable => 'int32u' }, #4
+    0x18b0 => { Name => 'H3ResetBlackPixels',   Writable => 'int32u' }, #4
+    0x18ba => { Name => 'BlackAcquireRows',     Writable => 'int32u' }, #4
+    0x18c4 => { Name => 'OverClockRows',        Writable => 'int16u' }, #4
+    0x18ce => { Name => 'H3ResetBlackColumns',  Writable => 'int32u' }, #4
+    0x18d8 => { Name => 'DarkBlackSegRows',     Writable => 'int32u' }, #4
+    0x1900 => 'CrossbarEnable', #4
+    0x1901 => { Name => 'FifoenOnePixelDelay',  Writable => 'int32u' }, #4
+    0x1902 => { Name => 'ReadoutTypeRequested', Writable => 'int32u' }, #4
+    0x1903 => { Name => 'ReadoutTypeActual',    Writable => 'int32u' }, #4
+    0x190a => { Name => 'OffsetDacValue',       Writable => 'int32u' }, #4
+    0x1914 => { Name => 'TempAmpGainX100',      Writable => 'int32u' }, #4
+    0x191e => { Name => 'VarrayDacNominalValues',Writable=> 'int32u', Count => 3 }, #4
+    0x1928 => 'VddimDacNominalValues', #4
+    0x1964 => { Name => 'C14Configuration',     Writable => 'int32u' }, #4
+    0x196e => { Name => 'TDA1Offset',           Writable => 'int32u', Count => 3 }, #4
+    0x196f => { Name => 'TDA1Bandwidth',        Writable => 'int32u' }, #4
+    0x1970 => { Name => 'TDA1Gain',             Writable => 'int32u', Count => 3 }, #4
+    0x1971 => { Name => 'TDA1EdgePolarity',     Writable => 'int32u' }, #4
+    0x1978 => { Name => 'TDA2Offset',           Writable => 'int32u', Count => 3 }, #4
+    0x1979 => { Name => 'TDA2Bandwidth',        Writable => 'int32u' }, #4
+    0x197a => { Name => 'TDA2Gain',             Writable => 'int32u', Count => 3 }, #4
+    0x197b => { Name => 'TDA2EdgePolarity',     Writable => 'int32u' }, #4
+    0x1982 => { Name => 'TDA3Offset',           Writable => 'int32u', Count => 3 }, #4
+    0x1983 => { Name => 'TDA3Bandwidth',        Writable => 'int32u' }, #4
+    0x1984 => { Name => 'TDA3Gain',             Writable => 'int32u', Count => 3 }, #4
+    0x1985 => { Name => 'TDA3EdgePolarity',     Writable => 'int32u' }, #4
+    0x198c => { Name => 'TDA4Offset',           Writable => 'int32u', Count => 3 }, #4
+    0x198d => { Name => 'TDA4Bandwidth',        Writable => 'int32u' }, #4
+    0x198e => { Name => 'TDA4Gain',             Writable => 'int32u', Count => 3 }, #4
+    0x198f => { Name => 'TDA4EdgePolarity',     Writable => 'int32u' }, #4
+    0xfde8 => { Name => 'ComLenBlkSize',        Writable => 'int16u' }, #4
 );
 
